PHP 手冊
前一頁 |  | 下一頁

# openal_buffer_data

(no version information, might be only in CVS)

openal_buffer_data -- Load a buffer with data

## Description

bool openal_buffer_data ( resource buffer, int format, string data, int freq )

## Parameters

buffer

  An Open AL(Buffer) resource (previously created by openal_buffer_create()).

format

  Format of data, one of: `AL_FORMAT_MONO8`, `AL_FORMAT_MONO16`, `AL_FORMAT_STEREO8` and `AL_FORMAT_STEREO16`

data

  Block of binary audio data in the format and freq specified.

frew

  Frequency of data given in Hz.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 參考

openal_buffer_loadwav()
openal_stream()

前一頁 | 內容 | 下一頁
openal_buffer_create | 上一層 | openal_buffer_destroy